Subject: Re: Yahoo, Thunderbird and the quest for email freedom

From: Stephen Partington via PLUG-discuss <[email-masked]>
Date: Tue, 25 Mar 2025 17:07:47 -0400

ooo thanks for the tip on fairmail.

On Tue, Mar 25, 2025 at 3:53 PM Scott L. via PLUG-discuss <
[email-masked]> wrote:

> Yahoo is rather notorious for security and privacy issues. I'd highly
> recommend deleting your account once you find a replacement. Even Gmail
> is preferable imo.
>
> As far as clients, I use FairEmail as my primary email app. It has an
> insane amount of options. The trick is to ignore all of that until you
> get the hang of the basics. Even then, there's no need to change advanced
> settings.
>
> Other than Thunderbird, Proton Mail and Tuta are the only others I'd
> recommend.
>
> FairEmail Links:
> Web: https://email.faircode.eu/
> GitHub: https://github.com/M66B/FairEmail
>
> If you want a better solution, I'd highly recommend buying a domain name
> (these can be had for a few dollars/year) and using a DNS hosting service
> like EasyDNS, who I've been working with for the better part of a decade.
>
> For $55/year (with domain registration) or $40/year without registration,
> the DNS Pro plan gives you 10 2GB email accounts, as well as 100 email
> aliases. They support IMAP and POP3, and they offer both Roundcube and
> Horde webmail.
>
> Email (which they call easyMAIL) has a turnkey setup wizard. You don't
> even need to understand DNS to set it up (though it would help). If you
> get stuck, they offer a free concierge service.
>
> More info:
> https://easydns.com/dns/
> https://kb.easydns.com/knowledge/easymail-settings-and-specifications/
>
> FYI, I have no connection to the company aside from being a satisfied
> customer.
>
> ---
> Scott Lopez
> Email: [email-masked]
> ----------------------------------------
>
> Mar 25, 2025 8:34:32 AM greg zegan <[email-masked]>:
>
> > Hello,
> >   As many you now know Yahoo, who was acquired by Verizon back in 2017
> > and has merged with several companies to form a mega-corp has put out a
> > new web interface which is terrible and caused me to seriously seek out
> > an alternative to Yahoo.  Verizon, famous for terrible customer
> > service, has now become the business model for Yahoo users.
> > https://en.wikipedia.org/wiki/Yahoo!_Inc._(2017%E2%80%93present)
> >
> > Does anyone use an alternative email client and do they like it?  I
> > have used Thunderbird years ago but it allows so much email you have to
> > create filters to keep Spam out and receive normal email.  And yes I
> > will find my username and password for Proton Mail...
> >
> > How do we continue to use Yahoo email without getting slammed by this
> > giant company?
> >
> > thanks,
> >
> > Greg---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>

-- 
A mouse trap, placed on top of your alarm clock, will prevent you from
rolling over and going back to sleep after you hit the snooze button.

Stephen
---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss